<?php
namespace local_treestudyplan\task;
require_once($CFG->dirroot.'/course/externallib.php');
use local_treestudyplan\studyplan;
use local_treestudyplan\enrolcohortsync;

class autocohortsync extends \core\task\scheduled_task  {

    /**
     * Return the task's name as shown in admin screens.
     *
     * @return string
     */
    public function get_name() {
        return get_string('autocohortsync_name', 'local_treestudyplan');
    }

    /**
     * Execute the task.
     */
    public function execute() {

        if(get_config("local_treestudyplan","csync_enable")){
            $studyplans = studyplan::find_all();

            foreach($studyplans as $studyplan) {
                $enroller = new enrolcohortsync($studyplan);
                $enroller->sync();
            }
        }

    }
}